# REST API

* Our open source client application uses the same API.
* You can explore it and implement any kind of client application yourself.
* Our nodes expose the REST API allowing access to all blockchain data (transaction history, balances, etc.) as well as operations for creating a new transaction — it’s easy to make a transfer, exchange, issue of tokens or lease fund transactions programmatically.

## The Web Interface to LTO Full Node API

For The Web Interface to the LTO Network Full Node API, Please check [**Swagger**](https://nodes.lto.network) on Mainnet. On Testnet: [***TestNode1***](https://testnet.lto.network)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ltonetwork.com/node/public-node/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
